Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Raring getting an error Updating software catalog Bug # 1159023

  1. #1
    Join Date
    Aug 2009
    Location
    USA
    Beans
    3,634
    Distro
    Ubuntu Development Release

    Raring getting an error Updating software catalog Bug # 1159023

    If you are getting this error as I have been for the past couple of days during updates you might want to sign your name to this bug.

    Code:
    Updating software catalog...this may take a moment.
    INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
    WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/workrave:workrave.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
    WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser-layer.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
    WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
    Software catalog update was successful.
    Bug: https://bugs.launchpad.net/ubuntu/+s...e/+bug/1159023
    Last edited by Cavsfan; June 4th, 2013 at 06:11 PM. Reason: Solved with final release.
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Precise 12.04 | Trusty 14.04 | Vivid 15.04 | Mint Rebecca 17 | Windows 7 | All 64 bit

  2. #2
    Join Date
    Oct 2007
    Location
    Algonquin, IL USA
    Beans
    672
    Distro
    Ubuntu Development Release

    Re: Raring getting an error Updating software catalog Bug # 1159023

    I was having the same problem as you Pre-Final-Beta. I will try it out again tomorrow and see if the issue is fixed or not.
    2013 Dell Inspiron 15 3521 Laptop, 2010 Dell Inspiron 1012 Mini Net Book, 2010 Dell Inspiron Zino HD 400, Sprint Samsung Galaxy S4, and Apple IPad Mini WIFI Only.

  3. #3
    Join Date
    Oct 2007
    Location
    Algonquin, IL USA
    Beans
    672
    Distro
    Ubuntu Development Release

    Re: Raring getting an error Updating software catalog Bug # 1159023

    Forgot to mention that I used sudo apt-get update and sudo apt-get upgrade instead of what you used in your Bug Report.
    2013 Dell Inspiron 15 3521 Laptop, 2010 Dell Inspiron 1012 Mini Net Book, 2010 Dell Inspiron Zino HD 400, Sprint Samsung Galaxy S4, and Apple IPad Mini WIFI Only.

  4. #4
    Join Date
    Oct 2007
    Location
    Algonquin, IL USA
    Beans
    672
    Distro
    Ubuntu Development Release

    Re: Raring getting an error Updating software catalog Bug # 1159023

    Sorry Cavsfan, but the issue did NOT reproduce itself after Updating Beta 2. Will try again tomorrow.
    2013 Dell Inspiron 15 3521 Laptop, 2010 Dell Inspiron 1012 Mini Net Book, 2010 Dell Inspiron Zino HD 400, Sprint Samsung Galaxy S4, and Apple IPad Mini WIFI Only.

  5. #5
    Join Date
    Oct 2007
    Location
    Algonquin, IL USA
    Beans
    672
    Distro
    Ubuntu Development Release

    Re: Raring getting an error Updating software catalog Bug # 1159023

    P.S. By the way, 1 Package was Held Back, even with Ubuntu hitting Beta, so you might NOT want to be trying a sudo apt-get dist-upgrade just yet.
    2013 Dell Inspiron 15 3521 Laptop, 2010 Dell Inspiron 1012 Mini Net Book, 2010 Dell Inspiron Zino HD 400, Sprint Samsung Galaxy S4, and Apple IPad Mini WIFI Only.

  6. #6
    Join Date
    Aug 2009
    Location
    USA
    Beans
    3,634
    Distro
    Ubuntu Development Release

    Re: Raring getting an error Updating software catalog Bug # 1159023

    kevpan815,
    I always use sudo apt-get update and sudo apt-get upgrade and sudo apt-get dist-upgrade.

    Someone in this forum I forget who told me to put the commands into .bashrc which makes it a lot simpler than typing those commands.
    Also, these commands are much better than using update manager because you avoid "partial updates".

    In /home/cavsfan/.bashrc I have added the blue lines below after the other lines in the file:

    Code:
    # some more ls aliases
    alias ll='ls -alF'
    alias la='ls -A'
    alias l='ls -CF'
    
    # update aliases
    alias ud='sudo apt-get update && sudo apt-get upgrade && sudo apt-get clean'
    alias ud2='sudo apt-get dist-upgrade'
    You have to logout and back in for them to work.
    Now all I do is enter ud and my password and it checks for updates.

    If anything is held back I enter ud2 and if whatever is held back will be installed if it is ready, if not it will just say it is still held back.

    This is how I get my kernels with the ud2 alias as several of the kernel packages are always held back.
    It works with some other updates when a new package needs to be installed along with updating some existing packages.

    I only get the error when I see this in the terminal:

    Updating software catalog...this may take a moment.

    I just got a bunch of updates and didn't get that error because the software catalog did not require updating.
    Here is when I installed Raring:

    Code:
    cavsfan@cavsfan-MS-7529:~$ ls -ld /var/log/installer | awk '{ print $6 " " $7 " " $8 }'
    Mar 3 09:58
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Precise 12.04 | Trusty 14.04 | Vivid 15.04 | Mint Rebecca 17 | Windows 7 | All 64 bit

  7. #7
    Join Date
    Oct 2007
    Location
    Algonquin, IL USA
    Beans
    672
    Distro
    Ubuntu Development Release

    Re: Raring getting an error Updating software catalog Bug # 1159023

    Sorry Cavsfan, but I thought that doing a sudo apt-get dist-upgrade would actually force a Partial Upgrade based on what I have read here before. If I am wrong about that then I apologize.
    2013 Dell Inspiron 15 3521 Laptop, 2010 Dell Inspiron 1012 Mini Net Book, 2010 Dell Inspiron Zino HD 400, Sprint Samsung Galaxy S4, and Apple IPad Mini WIFI Only.

  8. #8
    Join Date
    Aug 2009
    Location
    USA
    Beans
    3,634
    Distro
    Ubuntu Development Release

    Re: Raring getting an error Updating software catalog Bug # 1159023

    Quote Originally Posted by kevpan815 View Post
    Sorry Cavsfan, but I thought that doing a sudo apt-get dist-upgrade would actually force a Partial Upgrade based on what I have read here before. If I am wrong about that then I apologize.
    No apology necessary! A friend on here Ranch Hand always called Update Manager Update Mangler and told me to always use the CLI commands.

    You can't go wrong and you will not get a partial upgrade with them either.

    One thing about Ubuntu or Linux is that if you aren't learning something you aren't doing anything.

    My error (the bug) could very well be caused by using an older install but, I am not going to re-install because the Raring final release is April 25th.
    But, I still recommend anyone getting that error report it on that bug.

    I will do a clean install after April 25th myself.
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Precise 12.04 | Trusty 14.04 | Vivid 15.04 | Mint Rebecca 17 | Windows 7 | All 64 bit

  9. #9
    Join Date
    Aug 2009
    Location
    USA
    Beans
    3,634
    Distro
    Ubuntu Development Release

    Re: Raring getting an error Updating software catalog Bug # 1159023

    Any one still getting this error when the software catalog is updated?

    It happens any time I see this: "Updating software catalog...this may take a moment."

    I just updated and got the error:

    Code:
    Updating software catalog...this may take a moment.
    INFO:softwarecenter.db.pkginfo_impl.aptcache:aptcache.open()
    WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/workrave:workrave.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
    WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser-layer.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
    WARNING:softwarecenter.db.update:The file: '/usr/share/app-install/desktop/sonic-visualiser:x-sonicvisualiser.desktop' could not be read correctly. The application associated with this file will not be included in the software catalog. Please consider raising a bug report for this issue with the maintainer of that application
    Software catalog update was successful.
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Precise 12.04 | Trusty 14.04 | Vivid 15.04 | Mint Rebecca 17 | Windows 7 | All 64 bit

  10. #10
    Join Date
    Jun 2007
    Beans
    13,614

    Re: Raring getting an error Updating software catalog Bug # 1159023

    Not an error, just proper warnings
    (workrave needs some help as the .desktop created has 2 improper Comments, the sonic warnings are also justified as the 2 mentioned .desktops are improper & likely not even needed.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •